
Foreman - Feature #17333

New write-only smart parameter type: Password

11/15/2016 02:13 AM - Julien Pivotto

Status: New   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Proposal to have passwords (or "secrets") parameters.

- Value is write-only (can not be read unless on the node itself // even not readable when reviewing ENC template)

- Input type: password in the UI

Related issues:

Related to Foreman - Feature #6007: Add hide/show value to smart class params Closed 06/02/2014

History

#1 - 11/15/2016 03:09 AM - Dominic Cleal

- Subject changed from New smart parameter type: Password to New write-only smart parameter type: Password

- Category set to Parameters

#2 - 11/15/2016 03:10 AM - Dominic Cleal

- Related to Feature #6007: Add hide/show value to smart class params added

Powered by TCPDF (www.tcpdf.org)

05/21/2024 1/1

http://www.tcpdf.org

